## org.apache.batik.apps.rasterizer
Class Main.NoValueOptionHandler

    java.lang.Object
      org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
          org.apache.batik.apps.rasterizer.Main.NoValueOptionHandler

All Implemented Interfaces:
  Main.OptionHandler

Enclosing class:
  Main

public abstract static class Main.NoValueOptionHandler
extends Main.AbstractOptionHandler

Base class for options with no option value (i.e., the presence of the option means something in itself. Subclasses should implement the `handleOption` method which takes only an `SVGConverter` as a parameter.

Constructor Summary
`Main.NoValueOptionHandler()`

Method Summary
`int` `getOptionValuesLength()` Returns the number of values which the option handler requires.
`abstract void` `handleOption(SVGConverter c)`
`void` `safeHandleOption(java.lang.String[] optionValues, SVGConverter c)`

Methods inherited from class org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
`handleOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.apps.rasterizer.Main.OptionHandler
`getOptionDescription`

Constructor Detail

### Main.NoValueOptionHandler

    public Main.NoValueOptionHandler()

Method Detail

### safeHandleOption

    public void safeHandleOption(java.lang.String[] optionValues,
                                 SVGConverter c)

  Specified by:
    `safeHandleOption` in class `Main.AbstractOptionHandler`

### getOptionValuesLength

    public int getOptionValuesLength()

  Description copied from interface: `Main.OptionHandler`
  Returns the number of values which the option handler requires. This defines the length of the optionValues array passed to the handler in the handleOption method

### handleOption

    public abstract void handleOption(SVGConverter c)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.